Bug 1493889 - [xEC43mn2] Metrics for authentication not count the oc client login
Summary: [xEC43mn2] Metrics for authentication not count the oc client login
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.7.0
Assignee: Matt Rogers
QA Contact: Chuan Yu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-21 06:34 UTC by Chuan Yu
Modified: 2018-04-05 09:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-05 09:28:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0636 0 None None None 2018-04-05 09:29:03 UTC

Description Chuan Yu 2017-09-21 06:34:43 UTC
Description of problem:
For security Prometheus endpoint coverage, the metrics for authentication not count the oc client login

Version-Release number of selected component (if applicable):
# openshift version
openshift v3.7.0-0.126.6
kubernetes v1.7.0+80709908fd
etcd 3.2.1

How reproducible:
always

Steps to Reproduce:
1.login to OpenShift from oc client
2.check auth_count_total and auth_count_result form Prometheus 
3.

Actual results:
The auth_count_total and auth_count_result not counted when login from oc client

Expected results:
The auth_count_total and auth_count_result should be counted when login from oc client

Additional info:

Comment 1 Mo 2017-09-21 13:50:04 UTC
The version of OpenShift you are running does not have this change, it is only in the latest master.

Comment 2 Chuan Yu 2017-09-22 03:20:32 UTC
With the latest build v3.7.0-0.127.0, the issue still exist.

Comment 3 Mo 2017-09-22 13:26:54 UTC
@Matt PTAL

Comment 4 Matt Rogers 2017-09-27 21:14:05 UTC
At the moment only web console logins are recorded. I opened https://github.com/openshift/origin/pull/16584 today which extends it to oc logins and makes some corrections to the metric names.

Comment 5 Mo 2017-09-27 23:05:46 UTC
PR is merged.

Comment 7 Chuan Yu 2017-10-23 07:25:00 UTC
Seems prometheus still not avaialbe for now, blocked by https://bugzilla.redhat.com/show_bug.cgi?id=1500627, will verify it when available.

Comment 8 Chuan Yu 2017-10-27 07:26:31 UTC
Verified.
# openshift version
openshift v3.7.0-0.181.0
kubernetes v1.7.6+a08f5eeb62
etcd 3.2.8

Comment 12 errata-xmlrpc 2018-04-05 09:28:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0636


Note You need to log in before you can comment on or make changes to this bug.